import java.util.ArrayList;

class CompanyTest {
  public static void main(String[] args) {
    
    HashMap m = new HashMap(0.65f);
    Company[] companies = readCompanies("Top500.MacLinux.txt");
    int cnt = 0;
    for (Company c: companies) {
      m.put(c.getName(), c);
    }
    m.makeDot("Top500.dot");
    
    String[] names = new String[] {
      "Volkswagen", "Total", "Daimler", "Gazprom",
      "Panasonic", "Sony", "BMW", "Apple", "Coca-Cola" };
    for (String name: names) {
      Company c = (Company) m.get(name);
      Out.println(c);
    }
  }

  static Company[] readCompanies(String filename) {
    In.open(filename);
    ArrayList<Company> result = new ArrayList<Company>();
    do {
      Company company = Company.readCompany();
      if (company != null) {
        result.add(company);
      }
    } while (In.done());
    In.close();
    return result.toArray(new Company[0]);
  }
  
}